Bug 2509 - urpmi should take into account current locale when choosing between locale-dependent packages
: urpmi should take into account current locale when choosing between locale-de...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 11:24 MSD by Denis Silakov
Modified: 2013-08-28 11:00 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-08-19 11:24:04 MSD
As it was discussed in bug# 2423, when choosing between different locale-dependent alternatives (e.g., tesseract-<lang> packages), urpmi doesn't look for system locale settings; instead, it analyzes which locales-* packages are installed (besides English) and tries to choose among corresponding tesseract-* packages. So if one have locales-en, locales-ru and locales-fr installed in your system, urpmi will choose between Russian and French packs for tesseract. And it's impossible to predict which one will be selected with '--auto' (this can be different for different systems).

It would be nice to additionally take into account system locale settings.
Comment 1 Postnikov Dmitry 2013-08-19 11:36:30 MSD
And that, the system can be install to two such locales such as Ru-Fr or Ru-De or Fr-Zh etc.? (without En locale)
Comment 2 Denis Silakov 2013-08-19 11:43:32 MSD
Hm, I don't understand the question. Surely, you can install several locales and remove English locale. It doesn't matter for urpmi if you have locales-en installed or not.

At any moment of time you are working with one certain locale, and the idea is that urpmi should choose tesseract-<lang> package corresponding to that locale.
Comment 3 Postnikov Dmitry 2013-08-19 11:52:42 MSD
Я имел ввиду, разве можно установить систему с локалями отличными от En? Т.е. только Ru - Fr или Ru -De или Fr - Zh. Т.е. при установке выбираем 2 локали (без en) и ставим систему. Такое возможно разве?
Я к тому, что в системе обычно только 2 локали En + XXX. Вот urpmi и должно ориентироваться на XXX локаль, отличную от En.
Просто я не слышал, чтобы в системы были локали без En.
Comment 4 Denis Silakov 2013-08-19 11:55:18 MSD
А, ok. Речь о ситуации, когда в системе установлено сразу много локалей - например En + Ru + Fr (по крайней мере, установлены Locales-en, locales-ru и locales-fr). Это не очень типично, но случается. По-моему, последние проблемы в баге #2423 как раз из-за такой ситуации.
Comment 5 Denis Silakov 2013-08-26 14:36:44 MSD
Advisory:

urpmi --auto now takes into account LANG variable when choosing among several locales-specific packages. For example, if you have locales-ru and locales-fr installed, 'urpmi --auto tesseract' will now always install tesseract-rus language pack.

Build lists:

https://abf.rosalinux.ru/build_lists/1220618
https://abf.rosalinux.ru/build_lists/1220617
Comment 6 Vladimir Potapov 2013-08-27 18:27:16 MSD
perl-URPM-4.43-19-rosa2012.1
****************** Advisory *******************
urpmi --auto now takes into account LANG variable when choosing among several locales-specific packages. For example, if you have locales-ru and locales-fr installed, 'urpmi --auto tesseract' will now always install tesseract-rus language pack.
***********************************************
QA Verified